Bug 1891788 - babel fails to build: pytest.PytestDeprecationWarning treated as error
Summary: babel fails to build: pytest.PytestDeprecationWarning treated as error
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: babel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felix Schwarz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-10-27 11:24 UTC by Tomáš Hrnčiar
Modified: 2020-11-17 07:34 UTC (History)
4 users (show)

Fixed In Version: 2.9.0-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-17 07:34:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2020-10-27 11:24:52 UTC
babel fails to build with Python 3.10.0a1.

+ /usr/bin/python3 -m pytest
============================= test session starts ==============================
platform linux -- Python 3.10.0a1, pytest-6.0.2, py-1.9.0, pluggy-0.13.1
rootdir: /builddir/build/BUILD/Babel-2.8.0, configfile: setup.cfg
collected 0 items / 1 error

==================================== ERRORS ====================================
________________________ ERROR collecting test session _________________________
/usr/lib/python3.10/site-packages/pluggy/hooks.py:286: in __call__
    return self._hookexec(self, self.get_hookimpls(), kwargs)
/usr/lib/python3.10/site-packages/pluggy/manager.py:93: in _hookexec
    return self._inner_hookexec(hook, methods, kwargs)
/usr/lib/python3.10/site-packages/pluggy/manager.py:84: in <lambda>
    self._inner_hookexec = lambda hook, methods, kwargs: hook.multicall(
conftest.py:11: in pytest_collect_file
    return DoctestModule(path, parent)
/usr/lib/python3.10/site-packages/_pytest/nodes.py:95: in __call__
    warnings.warn(NODE_USE_FROM_PARENT.format(name=self.__name__), stacklevel=2)
E   pytest.PytestDeprecationWarning: Direct construction of DoctestModule has been deprecated, please use DoctestModule.from_parent.
E   See https://docs.pytest.org/en/stable/deprecations.html#node-construction-changed-to-node-from-parent for more details.
=========================== short test summary info ============================
ERROR  - pytest.PytestDeprecationWarning: Direct construction of DoctestModul...
!!!!!!!!!!!!!!!!!!!! Interrupted: 1 error during collection !!!!!!!!!!!!!!!!!!!!
=============================== 1 error in 0.10s ===============================
error: Bad exit status from /var/tmp/rpm-tmp.v7Wpgv (%check)
    Bad exit status from /var/tmp/rpm-tmp.v7Wpgv (%check)

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01718160-babel/

For all our attempts to build babel with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/babel/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Miro Hrončok 2020-10-27 11:38:26 UTC
pytest.PytestDeprecationWarning treated as error - this should fail in rawhide as well.

https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/5UAGX6TCJ6YM3HZJ4YRBL4EC3WJ6T7QO/

I've enabled tracking in https://koschei.fedoraproject.org/package/babel?collection=f34

Comment 2 Felix Schwarz 2020-11-16 21:50:21 UTC
I built Babel 2.9.0 in rawhide and I think upstream fix the problem in this release. Can you try to rebuild with Python 3.10?

Comment 3 Miro Hrončok 2020-11-17 07:34:37 UTC
The copr repo does that automatically.

Thanks for the fix.


Note You need to log in before you can comment on or make changes to this bug.